Subject: Re: [6lowapp] Newbie questions

From: Kerry Lynn <[email-masked]>
Date: Mon, 2 Nov 2009 17:07:49 -0500

Thanks for your replies.  BTW, I did figure out that I was a week
early for the 6LowApp meeting.

I am wondering whether anyone has done a comparison of different
approaches to service discovery.  If not, perhaps this is an area
where I can contribute.  I am more familiar with Apple's Bonjour
(ZeroConf) approach than I am with SLP.  Is it generally felt that SLP
offers a richer semantics with its URI-based approach?  Or is there a
bias because SLP is further along with respect to standardization?

It seems an important property of end devices is the ability to operate
in the absence of a server (DA) but to interoperate with one should it
be present.  At least in the case of DNS, this doesn't seem beyond the
capilities of current set-top boxes or home routers to provide.  OTOH,
one could argue that an agent-based approach is overkill in HAN
environments as long as link-local multicast is available.

-K-